Subject: Re: [GSoC][RFC PATCH v4 3/5] builtin/refs: add list subcommand

From: Junio C Hamano <[email-masked]>
Date: Fri, 01 Aug 2025 10:14:32 -0700

Phillip Wood <[email-masked]> writes:

> It is confusing that refs/heads does a prefix match but refs/heads/m
> does not (unless there is a hierarchy boundary after the m).

And refs/hea would not show branches, for the same reason.  It is
what "anchored at hierarchy boundary" in the message you are
responding to means.  In other words, it is not a simple textual
prefix match.